Loading...
Searching...
No Matches
apr_optional.h File Reference

APR-UTIL registration of functions exported by modules. More...

`#include "apu.h"`
Include dependency graph for apr_optional.h:

Go to the source code of this file.

## Macros

#define | APR_OPTIONAL_FN_TYPE(name)
#define | APR_DECLARE_OPTIONAL_FN(ret, name, args)
#define | APR_REGISTER_OPTIONAL_FN(name)
#define | APR_RETRIEVE_OPTIONAL_FN(name)

## Typedefs

typedef void | apr_opt_fn_t(void)

## Functions

void | apr_dynamic_fn_register (const char *szName, apr_opt_fn_t *pfn)
apr_opt_fn_t * | apr_dynamic_fn_retrieve (const char *szName)

## Detailed Description

APR-UTIL registration of functions exported by modules.